Page 11 of 38 FirstFirst ... 91011121321 ... LastLast
Results 151 to 165 of 556

Thread: Sorcery

  1. #151
    Leader
    Join Date
    Mar 2014
    Location
    Brisbane, Australia
    Posts
    6,614
    Rep Power
    1
    Devrix awesome job. Glad your a part of the 7dtd inner circle.... :-D

  2. #152
    Refugee
    Join Date
    Jun 2017
    Posts
    11
    Rep Power
    0
    Darkness Falls Overhaul (native: v0.68) Rlly ? Wew u rlly awesome

  3. #153
    Survivor
    Join Date
    Jun 2016
    Posts
    61
    Rep Power
    0
    yaaaay iam in after i finish PoE

  4. #154
    Ranger Devrix's Avatar
    Join Date
    Jun 2017
    Location
    Sorcery Discord
    Posts
    303
    Rep Power
    1

    SORCERY (v0.68) IS NOW LIVE WITH MOD LAUNCHER INTEGRATION!

    MOD LAUNCHER INTEGRATION
    Sorcery is fully integrated into the 7D2D Mod Launcher, as an SDX Mod, with automatic Localization handling... praise The Gods (and @sphereii)! If you already have the latest version of the Mod Launcher, simply run it and install Sorcery there. Otherwise, follow these steps to get started:
    Spoiler: 


    1. Steam Sync: Open Steam, right-click 7 Days to Die, select Properties, select Local Files, select Verify Integrity of Game Files. This will ensure you're using a clean version of the game, which is required for use with the Mod Launcher.
    2. Download Launcher: 7D2D Mod Launcher
    3. Install Launcher: Run the launcher installer SetupInstaller.msi
    4. Run Launcher: Locate and select Sorcery within the mods list.
    5. Install Sorcery: With Sorcery selected, click Install Game Copy.
    6. Delete Mods Folder: You may be prompted to delete a detected Mods Folder; I recommend selecting "Yes". You can install additional Mods with Sorcery later, if desired.
    7. Pre-Sync Mod: Finally, select Pre-Sync Mod, then "Yes" you would like to download it.
    8. AWAKEN ESSENCE: Play Mod and you're ready to play as a post-apocalyptic harbinger of the elements... may your training commence!


    ** Game Updates: You must Uninstall and Reinstall Sorcery through the launcher when new game updates are released. Don't worry, your saves are safe and will be retained. If you experience any errors, repeat step #1.

    ** Visit @sphereii's 7D2D Mod Launcher Thread for more info regarding it


    CONVERT SAVE GAME TO MOD LAUNCHER
    If you'd like to convert completely to the Mod Launcher SDX version of Sorcery to enjoy the automatic updates and Localization handling, follow these quick instructions:
    Spoiler: 


    1. Install Sorcery: Follow the Mod Launcher Install steps for Sorcery first.
    2. Locate Saves: (C:\Users\NAME\AppData\Roaming\7DaysToDie\Saves)
    3. Copy Saves: Select and copy Navezgane and any other Save Folders.
    4. Paste Saves: Into launcher saves folder (C:\7D2D\Saves\Sorcery\Sorcery)
    5. Play: That's it, you're converted to the Launcher version of Sorcery!


    ** Game Updates: You must Uninstall and Reinstall Sorcery through the launcher when new game updates are released. Don't worry, your saves are safe and will be retained. If you experience any errors, repeat step #1.


    In addition to this awesomeness, brought to you by Demigod @sphereii, v0.68 includes the first Tier 3 Spell: ICE STORM.

    Sorcery v0.68 Features

    • Sorcerer Loot+
    • New Spell: Ice Storm (Tier 3 Ice)
    • Full Trader Integration
    • Rune Mods: Lock Shatter I-V
    • Rune Crafting (Conjure)
    • Armor Crafting (Conjure)
    • Sorcery Items can be Scrapped into Essence
    • Full Compatibility Added for Darkness Falls
    • Full Compatibility Added for Winter Project
    • Full Compatibility Added for HDHQ+Modlets
    • Mod Launcher Integration

    Last edited by Devrix; 03-19-2019 at 02:06 AM. Reason: Early Ice Storm Vid

  5. #155
    Survivor
    Join Date
    Jan 2018
    Posts
    69
    Rep Power
    0
    is the first page install upgraded too? and do we have to start a new game?

  6. #156
    Ranger Devrix's Avatar
    Join Date
    Jun 2017
    Location
    Sorcery Discord
    Posts
    303
    Rep Power
    1
    Quote Originally Posted by Bluman View Post
    is the first page install upgraded too? and do we have to start a new game?
    Yes, the main thread is updated. No need to start a new game.

    CONVERT SAVE GAME TO MOD LAUNCHER
    If you'd like to convert completely to the Mod Launcher SDX version of Sorcery to enjoy the automatic updates and Localization handling, follow these quick instructions:
    Spoiler: 


    1. Install Sorcery: Follow the Mod Launcher Install steps for Sorcery first.
    2. Locate Saves: (C:\Users\NAME\AppData\Roaming\7DaysToDie\Saves)
    3. Copy Saves: Select and copy Navezgane and any other Save Folders.
    4. Paste Saves: Into launcher saves folder (C:\7D2D\Saves\Sorcery\Sorcery)
    5. Play: That's it, you're converted to the Launcher version of Sorcery!


    ** Game Updates: You must Uninstall and Reinstall Sorcery through the launcher when new game updates are released. Don't worry, your saves are safe and will be retained. If you experience any errors, repeat step #1.
    Last edited by Devrix; 03-19-2019 at 02:07 AM.

  7. #157
    Refugee
    Join Date
    Jun 2017
    Posts
    11
    Rep Power
    0
    Good Jop @Devrix.U rly awesome

    Umm When i click try to continued (in d.falls) get game crash but maybe my bad
    Last edited by theawos; 03-19-2019 at 07:04 AM.

  8. #158
    Hunter
    Join Date
    Dec 2016
    Location
    Huelva (Espaņa)
    Posts
    143
    Rep Power
    0
    Quote Originally Posted by Devrix View Post
    MOD LAUNCHER INTEGRATION
    Sorcery is fully integrated into the 7D2D Mod Launcher, as an SDX Mod, with automatic Localization handling... praise The Gods (and @sphereii)! If you already have the latest version of the Mod Launcher, simply run it and install Sorcery there. Otherwise, follow these steps to get started:
    Spoiler: 


    1. Steam Sync: Open Steam, right-click 7 Days to Die, select Properties, select Local Files, select Verify Integrity of Game Files. This will ensure you're using a clean version of the game, which is required for use with the Mod Launcher.
    2. Download Launcher: 7D2D Mod Launcher
    3. Install Launcher: Run the launcher installer SetupInstaller.msi
    4. Run Launcher: Locate and select Sorcery within the mods list.
    5. Install Sorcery: With Sorcery selected, click Install Game Copy.
    6. Delete Mods Folder: You may be prompted to delete a detected Mods Folder; I recommend selecting "Yes". You can install additional Mods with Sorcery later, if desired.
    7. Pre-Sync Mod: Finally, select Pre-Sync Mod, then "Yes" you would like to download it.
    8. AWAKEN ESSENCE: Play Mod and you're ready to play as a post-apocalyptic harbinger of the elements... may your training commence!


    ** Game Updates: You must Uninstall and Reinstall Sorcery through the launcher when new game updates are released. Don't worry, your saves are safe and will be retained. If you experience any errors, repeat step #1.

    ** Visit @sphereii's 7D2D Mod Launcher Thread for more info regarding it


    CONVERT SAVE GAME TO MOD LAUNCHER
    If you'd like to convert completely to the Mod Launcher SDX version of Sorcery to enjoy the automatic updates and Localization handling, follow these quick instructions:
    Spoiler: 


    1. Install Sorcery: Follow the Mod Launcher Install steps for Sorcery first.
    2. Locate Saves: (C:\Users\NAME\AppData\Roaming\7DaysToDie\Saves)
    3. Copy Saves: Select and copy Navezgane and any other Save Folders.
    4. Paste Saves: Into launcher saves folder (C:\7D2D\Saves\Sorcery\Sorcery)
    5. Play: That's it, you're converted to the Launcher version of Sorcery!


    ** Game Updates: You must Uninstall and Reinstall Sorcery through the launcher when new game updates are released. Don't worry, your saves are safe and will be retained. If you experience any errors, repeat step #1.


    In addition to this awesomeness, brought to you by Demigod @sphereii, v0.68 includes the first Tier 3 Spell: ICE STORM.

    Sorcery v0.68 Features

    • Sorcerer Loot+
    • New Spell: Ice Storm (Tier 3 Ice)
    • Full Trader Integration
    • Rune Mods: Lock Shatter I-V
    • Rune Crafting (Conjure)
    • Armor Crafting (Conjure)
    • Sorcery Items can be Scrapped into Essence
    • Full Compatibility Added for Darkness Falls
    • Full Compatibility Added for Winter Project
    • Full Compatibility Added for HDHQ+Modlets
    • Mod Launcher Integration


    Hello, we hope that one day it is compatible with Ravenhearst

  9. #159
    Ranger Devrix's Avatar
    Join Date
    Jun 2017
    Location
    Sorcery Discord
    Posts
    303
    Rep Power
    1
    Quote Originally Posted by theawos View Post
    Good Jop @Devrix.U rly awesome

    Umm When i click try to continued (in d.falls) get game crash but maybe my bad
    Are you using 17.2 (b27) of the game and latest version of DF?
    Make sure you're following the Modlet install instructions for Sorcery and dropping the Sorcery folder into the Mods folder of DF directly (additionally, you'll need to follow the Localization instructions for installing). If all else fails, I'd recommend a clean install/resync with Steam.


    Quote Originally Posted by legendfire77 View Post
    Hello, we hope that one day it is compatible with Ravenhearst
    I plan on looking into adding Ravenhearst compatibility once its updated to the latest game version. Sorcery relies heavily on the latest buff system features (Spells).

  10. #160
    Scavenger
    Join Date
    Sep 2014
    Location
    Canada/Philippines
    Posts
    51
    Rep Power
    0
    [QUOTE=Devrix;960199]Are you using 17.2 (b27) of the game and latest version of DF?
    Make sure you're following the Modlet install instructions for Sorcery and dropping the Sorcery folder into the Mods folder of DF directly (additionally, you'll need to follow the Localization instructions for installing). If all else fails, I'd recommend a clean install/resync with Steam.


    The current version of DF uses 17.1 only the experimental and not complete version of DF uses 17.2

  11. #161
    Hunter
    Join Date
    Dec 2016
    Location
    Huelva (Espaņa)
    Posts
    143
    Rep Power
    0
    I plan on looking into adding Ravenhearst compatibility once its updated to the latest game version. Sorcery relies heavily on the latest buff system features (Spells).

    --------------------------------------------

    Thank you Devrix

  12. #162
    Leader
    Join Date
    Mar 2014
    Location
    Brisbane, Australia
    Posts
    6,614
    Rep Power
    1
    Quote Originally Posted by Devrix View Post
    Are you using 17.2 (b27) of the game and latest version of DF?
    Make sure you're following the Modlet install instructions for Sorcery and dropping the Sorcery folder into the Mods folder of DF directly (additionally, you'll need to follow the Localization instructions for installing). If all else fails, I'd recommend a clean install/resync with Steam.



    I plan on looking into adding Ravenhearst compatibility once its updated to the latest game version. Sorcery relies heavily on the latest buff system features (Spells).
    Ravenhearst as far as I am aware isn't going to a17.2 but staying with a17.1 til a more suitable version is out (maybe a17.3) could a read it wrong tho

  13. #163
    Refugee
    Join Date
    Jun 2017
    Posts
    11
    Rep Power
    0
    [QUOTE=Devrix;960199]Are you using 17.2 (b27) of the game and latest version of DF?
    Make sure you're following the Modlet install instructions for Sorcery and dropping the Sorcery folder into the Mods folder of DF directly (additionally, you'll need to follow the Localization instructions for installing). If all else fails, I'd recommend a clean install/resync with Steam.



    Yup i'll used 17.2 last version.But only when i click continued game i get crash. New game no any error or get game crash.Np for me cuz when we start from new game we learn better and dont forget new game = calgulate skill point for sorcery :P (Sorry for bad English )



    The current version of DF uses 17.1 only the experimental and not complete version of DF uses 17.2

    o.O rlly cuz i used 17.2(b27) maybe 1 week with normal versions not experimental

  14. #164
    Colony Founder KhaineGB's Avatar
    Join Date
    Apr 2017
    Location
    Liverpool, UK
    Posts
    1,936
    Rep Power
    1
    The 2.04 version of DF, which is the NON-EXPERIMENTAL one uses A17.2.

    The experimental version of DF is 2.1.

  15. #165
    Refugee
    Join Date
    Dec 2015
    Location
    Navezgane, Michigan
    Posts
    23
    Rep Power
    0
    Im really enjoying this modlet, thank you.

    Some quick questions for clarification on my own part... Im trying to figure out the flow chart in my head of how Spellcasts, Essence, Runes, "mods", and perks all match up. So I have the fire spellcast equipped, using the basic fire spell "ammo." This particular ammo has particular AoE/Dmg vs say, firenado. The description of the fire spellcast lists a primary function, secondaries, and passives which are unlocked via Perks. Then there is mention to "empowering" and stacks. In general, I understand the concept of stacks but Im not sure if this is visibly represented by the rotating orbs near zombie's feet or if this is something totally different.

    Also, if I hold right mouse button I start flaming up but again Im not sure what Im doing, if anything, other than burning stamina/spirit. I have yet to unlock the meteor fall/jump or the super speed but the description says while channeling/casting. To add to this, Fire Mastery perk mentioned "alterations" to spellcasts. Is this related to modding the spellcasts or something else. Then if I "mod" a spellcast by adding a rune, this adds a chance to proc an addition debuff/dmg bonus?

    I know a lot of folks enjoy learning as they go but Ive always been the reverse so once I have a better understanding on these small matters, Ill enjoy this great mod that much more.

    Thanks in advance!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •